Package com.google.android.exoplayer2.metadata.dvbsi

## Class AppInfoTableDecoder

- java.lang.Object
- - com.google.android.exoplayer2.metadata.SimpleMetadataDecoder
  - - com.google.android.exoplayer2.metadata.dvbsi.AppInfoTableDecoder

- All Implemented Interfaces:
    `MetadataDecoder`

      public final class AppInfoTableDecoder
      extends SimpleMetadataDecoder

  Decoder for the DVB Application Information Table (AIT).

  For more info on the AIT see section 5.3.4 of the DVB ETSI TS 102 809 v1.1.1 spec.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `APPLICATION_INFORMATION_TABLE_ID` | See table 16 in section 5.3.4.6.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppInfoTableDecoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Metadata` | `decode​(MetadataInputBuffer inputBuffer, ByteBuffer buffer)` | Called by `SimpleMetadataDecoder.decode(MetadataInputBuffer)` after input buffer validation has been performed, except in the case that `Buffer.isDecodeOnly()` is `true`.

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.SimpleMetadataDecoder

      `decode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_INFORMATION_TABLE_ID

          public static final int APPLICATION_INFORMATION_TABLE_ID

      See table 16 in section 5.3.4.6.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppInfoTableDecoder

          public AppInfoTableDecoder()

  - ### Method Detail

    - #### decode

          @Nullable
          protected Metadata decode​(MetadataInputBuffer inputBuffer,
                                    ByteBuffer buffer)

      Description copied from class: `SimpleMetadataDecoder`
      Called by `SimpleMetadataDecoder.decode(MetadataInputBuffer)` after input buffer validation has been performed, except in the case that `Buffer.isDecodeOnly()` is `true`.
      Specified by:
        `decode` in class `SimpleMetadataDecoder`
      Parameters:
        `inputBuffer` - The input buffer to decode.
        `buffer` - The input buffer's `data buffer`, for convenience. Validation by `SimpleMetadataDecoder.decode(com.google.android.exoplayer2.metadata.MetadataInputBuffer)` guarantees that `ByteBuffer.hasArray()`, `Buffer.position()` and `ByteBuffer.arrayOffset()` are `true`, `0` and `0` respectively.
      Returns:
        The decoded metadata object, or `null` if the metadata could not be decoded.